---
title: Retrieve an account
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getaccount/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getaccount.png
---

# Retrieve an account

GET

/accounts/{account_id}

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9 \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the account with the given ID, including its name and nickname.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**account_id**

required

string format: uuid

ID of account

#### Example

```
eeda3227-9a39-46ae-9e14-20958bb4e6c9
```

## Responses

### 200

Returns an `Account` object.

Media typeapplication/json

object

**id**

required

string format: uuid

**name**

required

The account name

string

**nickname**

required

The account nickname

string

#### Example

```json
{
  "id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9",
  "name": "joesaccount",
  "nickname": "joesaccount"
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
